package com.example.ellegadodepintia

import android.content.Intent
import android.graphics.Color
import android.os.Bundle
import android.widget.ImageButton
import androidx.appcompat.app.AppCompatActivity
import androidx.recyclerview.widget.LinearLayoutManager
import androidx.recyclerview.widget.RecyclerView
import com.example.ellegadodepintia.repositorios.RepositorioJugador

class LeaderboardActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_leaderboard)

        val mapButton: ImageButton = findViewById(R.id.mapButton)
        val leaderboardButton: ImageButton = findViewById(R.id.leaderboardButton)
        val shopButton: ImageButton = findViewById(R.id.shopButton)

        mapButton.setBackgroundColor(Color.TRANSPARENT)
        leaderboardButton.setBackgroundResource(R.drawable.style_texto_border)
        shopButton.setBackgroundColor(Color.TRANSPARENT)

        mapButton.setOnClickListener{
            val intent = Intent(this, MapActivity::class.java)
            startActivity(intent)
        }

        RepositorioJugador.cargarJugadores { jugadores ->
            val recyclerView: RecyclerView = findViewById(R.id.leaderboardRecyclerView)
            recyclerView.layoutManager = LinearLayoutManager(this)
            recyclerView.adapter = LeaderboardAdapter(jugadores)
        }
    }
}
