package com.example.ellegadodepintia

import android.content.Intent
import android.graphics.Color
import android.os.Bundle
import android.widget.ImageButton
import android.widget.TextView
import androidx.appcompat.app.AppCompatActivity
import com.example.ellegadodepintia.exploradoresDePintia.ExploradoresDePintia
import com.example.ellegadodepintia.exploradoresDePintia.model.GameState


class MapActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_map)

        val mapButton: ImageButton= findViewById(R.id.mapButton)
        val leaderboardButton: ImageButton = findViewById(R.id.leaderboardButton)
        val shopButton: ImageButton = findViewById(R.id.shopButton)

        leaderboardButton.setOnClickListener{
            val intent = Intent(this, LeaderboardActivity::class.java)
            startActivity(intent)
        }

        GameState.jugador.monedas.toString().also { findViewById<TextView>(R.id.moneyText).text = it }


        mapButton.setBackgroundResource(R.drawable.style_texto_border)
        leaderboardButton.setBackgroundColor(Color.TRANSPARENT)
        shopButton.setBackgroundColor(Color.TRANSPARENT)

        val aventura = findViewById<ImageButton>(R.id.botonAventura)
        aventura.setOnClickListener {
            val intent = Intent(this, ExploradoresDePintia::class.java)
            startActivity(intent)
        }

        val taberna = findViewById<ImageButton>(R.id.botonTaberna)
        taberna.setOnClickListener {
            val intent = Intent(this, TabernaActivity::class.java)
            startActivity(intent)
        }

        val tienda = findViewById<ImageButton>(R.id.botonTienda)
        tienda.setOnClickListener {
            val intent = Intent(this, TiendaActivity::class.java)
            startActivity(intent)
        }

        val armeria = findViewById<ImageButton>(R.id.botonArmeria)
        armeria.setOnClickListener {
            val intent = Intent(this, ArmeriaActivity::class.java)
            startActivity(intent)
        }
    }
}
