package com.example.ellegadodepintia

import android.os.Bundle
import android.widget.TextView
import androidx.appcompat.app.AppCompatActivity
import com.example.ellegadodepintia.exploradoresDePintia.ModalConfirmacion
import com.example.ellegadodepintia.exploradoresDePintia.model.GameState

class TabernaActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_taberna)

        GameState.jugador.addObserver { actualizarNivelTaberna() }

        val botonMejorar = findViewById<TextView>(R.id.botonMejorar)

        actualizarNivelTaberna()
        botonMejorar.setOnClickListener {
            val confirmacionFragment = ModalConfirmacion()
            confirmacionFragment.show(supportFragmentManager, "confirmacion")
        }
    }

    private fun actualizarNivelTaberna(){
        val textoNivel = findViewById<TextView>(R.id.nivelActual)
        "Nivel actual: ${GameState.jugador.nivelCiudad}".also { textoNivel.text = it }

    }
}
