package com.example.ellegadodepintia.exploradoresDePintia
import android.app.Dialog
import android.graphics.Color
import android.graphics.drawable.AnimationDrawable
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ImageButton
import android.widget.ImageView
import androidx.fragment.app.DialogFragment
import com.example.ellegadodepintia.R
import com.example.ellegadodepintia.exploradoresDePintia.model.GameState
import com.example.ellegadodepintia.exploradoresDePintia.model.LayoutUtils



class InventoryMain : DialogFragment() {
    override fun onCreateDialog(savedInstanceState: Bundle?): Dialog {
        val dialog = super.onCreateDialog(savedInstanceState)
        dialog.window!!.setBackgroundDrawableResource(android.R.color.transparent)
        setStyle(
            STYLE_NORMAL,
            android.R.style.Theme_Black_NoTitleBar_Fullscreen
        )

        return dialog
    }

    override fun onResume() {
        super.onResume()
        val window = dialog!!.window
        window?.setLayout(ViewGroup.LayoutParams.MATCH_PARENT, ViewGroup.LayoutParams.MATCH_PARENT)
    }

    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        return inflater.inflate(R.layout.modal_inventario, container, false)
    }


    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)

        LayoutUtils.actualizarMonedasInventario(view)

        GameState.jugador.addObserver { LayoutUtils.actualizarEstadisticasInventario(view) }
        LayoutUtils.actualizarEstadisticasInventario(view)

        val protagonistaImageView = view.findViewById<ImageView>(R.id.imagenProtagonista)
        val protagonistaAnimation = protagonistaImageView.drawable as? AnimationDrawable
        protagonistaAnimation?.start()

        val inventoryButton: ImageButton = view.findViewById(R.id.inventoryButton)
        val eventButton: ImageButton = view.findViewById(R.id.eventButton)

        inventoryButton.setBackgroundResource(R.drawable.style_texto_border)
        eventButton.setBackgroundColor(Color.TRANSPARENT)

        eventButton.setOnClickListener {
            dismiss()
        }

        LayoutUtils.actualizarInventarioUI(view, parentFragmentManager)

    }


}
